<?xml version="1.1" encoding="UTF-8" standalone="no"?>
<databaseChangeLog xmlns="http://www.liquibase.org/xml/ns/dbchangelog" xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <changeSet author="melnik (generated)" id="1543939998289-1-initial-schema">
        <createTable tableName="doc_h">
            <column autoIncrement="true" name="id" type="BIGINT">
                <constraints primaryKey="true" primaryKeyName="doc_hPK"/>
            </column>
            <column defaultValue="IN" name="direction" type="VARCHAR(30)">
                <constraints nullable="false"/>
            </column>
            <column defaultValueComputed="CURRENT_TIMESTAMP" name="docdate" type="TIMESTAMP WITHOUT TIME ZONE">
                <constraints nullable="false"/>
            </column>
            <column name="ebeln" type="VARCHAR(50)"/>
            <column name="mblnr" type="VARCHAR(50)"/>
            <column name="mjahr" type="INT"/>
        </createTable>

        <createTable tableName="doc_m">
            <column autoIncrement="true" name="id" type="BIGINT">
                <constraints primaryKey="true" primaryKeyName="doc_mPK"/>
            </column>
            <column name="codemrk" type="VARCHAR(200)"/>
            <column defaultValue="CONSUMER" name="mrktype" type="VARCHAR(30)">
                <constraints nullable="false"/>
            </column>
            <column name="doc_p_id" type="BIGINT"/>
        </createTable>

        <createTable tableName="doc_p">
            <column autoIncrement="true" name="id" type="BIGINT">
                <constraints primaryKey="true" primaryKeyName="doc_pPK"/>
            </column>
            <column name="dmbtr" type="FLOAT8"/>
            <column name="ean" type="VARCHAR(50)"/>
            <column name="excise" type="INT"/>
            <column name="kbetr" type="FLOAT8"/>
            <column name="maktx" type="VARCHAR(300)"/>
            <column name="matcode" type="VARCHAR(50)"/>
            <column name="meins" type="VARCHAR(50)"/>
            <column name="menge" type="FLOAT8"/>
            <column name="nds" type="INT"/>
            <column name="ndssum" type="FLOAT8"/>
            <column name="posnum" type="VARCHAR(50)"/>
            <column name="doc_h_id" type="BIGINT"/>
        </createTable>

        <addForeignKeyConstraint baseColumnNames="doc_p_id" baseTableName="doc_m" constraintName="FKpywtinoc5mwni9s336dw0awkt" deferrable="false" initiallyDeferred="false" referencedColumnNames="id" referencedTableName="doc_p"/>
        <addForeignKeyConstraint baseColumnNames="doc_h_id" baseTableName="doc_p" constraintName="FKssfa0nhvy12ns6rqkisyff4pe" deferrable="false" initiallyDeferred="false" referencedColumnNames="id" referencedTableName="doc_h"/>

    </changeSet>
</databaseChangeLog>
